com.fasterxml.jackson.databind.cfg

## Class ConfigOverrides

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverrides

All Implemented Interfaces:
  Serializable

    public class ConfigOverrides
    extends Object
    implements Serializable

Container for individual `ConfigOverride` values.

Since:
  2.8
See Also:
  Serialized Form

### Field Summary

Fields
`protected Map<Class<?>,MutableConfigOverride>` `_overrides`

### Constructor Summary

Constructors
`` `ConfigOverrides()`
`protected` `ConfigOverrides(Map<Class<?>,MutableConfigOverride> overrides)`

### Method Summary

Methods
`protected Map<Class<?>,MutableConfigOverride>` `_newMap()`
`ConfigOverrides` `copy()`
`MutableConfigOverride` `findOrCreateOverride(Class<?> type)`
`ConfigOverride` `findOverride(Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _overrides

    protected Map<Class<?>,MutableConfigOverride> _overrides

### Constructor Detail

#### ConfigOverrides

    public ConfigOverrides()

#### ConfigOverrides

    protected ConfigOverrides(Map<Class<?>,MutableConfigOverride> overrides)

### Method Detail

#### copy

    public ConfigOverrides copy()

#### findOverride

    public ConfigOverride findOverride(Class<?> type)

#### findOrCreateOverride

    public MutableConfigOverride findOrCreateOverride(Class<?> type)

#### _newMap

    protected Map<Class<?>,MutableConfigOverride> _newMap()